package com.fs.fastGpt.service;

import com.fs.common.core.domain.R;
import com.fs.qwHookApi.vo.QwHookVO;

public interface AiHookService {
    /** 发送ai提醒 **/
    void AiRemind();

    /** ai回复**/
    R qwHookNotifyAiReply(Long qwUserID, Long sender,String count,String uid,Integer type);

    /** 转人工 **/
    void artificial(QwHookVO vo);

    R qwHookNotifyAddMsg(Long qwUserID, Long sender,String count,String uid);

    void expireAiMsg();

    /**
     * 保存企微聊天信息
     * @param qwUserId  企微用户ID
     * @param userId    用户ID
     * @param content   聊天内容
     * @param uuid      UUID
     * @param sendType  发送者类型 1用户 2客服
     */
    void saveQwMsg(Long qwUserId, Long userId, String content, String uuid, int sendType);
}
